## Loadergif

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/loadergif`. To experiment with that code, run `bin/console` for an interactive prompt.

### Features

* Add `lazy: true` option to Rails `image_tag` helpers to render lazyload-friendly img tags.
* Global config available to make them lazy by default.
* Simple (really). That's pretty much it.

### Example

```erb
<%= image_tag "kittenz.png", lazy: true %>
```

or

```ruby
# config/initializers/lazyload.rb
Loadergif::Rails.configure do |config|
  config.lazy_by_default = true
end
```
```erb
<%= image_tag "kittenz.png" %>
```

Equals:

```html
<img src="data:image/gif;base64,R0lGODdhAQABAPAAAMPDwwAAACwAAAAAAQABAAACAkQBADs="
     data-original="/images/kittenz.png" />
```

**PRO TIP!** You must set image dimensions either as width and height attributes or in CSS. Otherwise it might not work properly.
## Installation

Add this line to your application's Gemfile:

```ruby
gem 'loadergif'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install loadergif

2. Include it however you prefer. For example, in your application.js you could add:

        //= require jquery.lazyload

3. In your JavaScript code do:

        $("img").lazyload();

*__Important__: Remember that the Lazy Load Plugin depends on jQuery.*



## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/cis-neelam/loadergif. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Loadergif project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/loadergif/blob/master/CODE_OF_CONDUCT.md).
